#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <fcntl.h>
#include <errno.h>
#define TAMPON_TAILLE 1024
int main(void){
  char tampon[TAMPON_TAILLE];
  ssize_t i;
  int d=STDIN_FILENO;

  if(  fcntl(d,F_SETFL,O_NONBLOCK) == -1 ){
    perror("nonblock");
    exit(EXIT_FAILURE);
  }

  for( ;; ){
    i = read(d,tampon,TAMPON_TAILLE);
    if( i < 0 && errno == EAGAIN ){
      printf("sleep\n");
      sleep(1);
      continue;
    }
    else if( i < 0 ){
      perror("read line");
    }
    else if( i == 0 ){
      exit(EXIT_SUCCESS);
    }
    printf("lecture\n [%s]\n",tampon);
  }
  return EXIT_SUCCESS;
}
