#include <stdio.h>
#inlude <stdlib.h>
#include <unistd.h>
#include <fcntl.h>
#include <errno.h>
#include <ctype.h>

#define TAMPON_TAILLE 1024
#define LU 1
int main(void){
  char tampon[TAMPON_TAILLE];
  ssize_t i;
  int j,k;
  int in=STDIN_FILENO;
  int out=STDOUT_FILENO;

  if(  fcntl(in,F_SETFL,O_NONBLOCK) == -1 ){
    perror("nonblock in");
    exit(EXIT_FAILURE);
  }
  /*
  if(  fcntl(out,F_SETFL,O_NONBLOCK) == -1 ){
    perror("nonblock out");
    exit(EXIT_FAILURE);
  }
  */
  for( ;; ){
    i = read(in,tampon,LU);
    if( i < 0 && errno == EAGAIN ){
      /*      printf("sleep\n");*/
      sleep(1);
      continue;
    }
    else if( i < 0 ){
      perror("read line");
    }
    else if( i == 0 ){
      exit(EXIT_SUCCESS);
    }

    for(j=0;j<i;j++){
      tampon[j]=toupper(tampon[j]);
    }
    
    k = write(out,tampon,i);
    if( k < 0 ){
      perror("write");
      exit(EXIT_FAILURE);
    }


  }
  return EXIT_SUCCESS;
}
